Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Statement_Finally

    java.lang.Object
      rdlc.rdl.Field_Named
          rdlc.sw.Field_Base
              rdlc.sw.Statement
                  rdlc.sw.Statement_Finally

All Implemented Interfaces:
  Expression, Field

    public class Statement_Finally

extends Statement

This statement represents a try finally block with the semantics as in Java. In other languages the behaviour may need to be created.

Version:
  $Revision: 1.5 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.sw.Field
`Field.Access`

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected Statement` | `body` The body of the try block.
`protected Statement` | `xfinally` The body of the finally block.

Fields inherited from class rdlc.sw.Field_Base
`access`

Fields inherited from class rdlc.rdl.Field_Named
`iName, instance, namespace, rawDynamicID`

Constructor Summary
`Statement_Finally(Instance _instance, Statement _body, Statement _finally)` Simple constructor, merely records its arguments.

Method Summary
`Statement` | `getBody()` Simple accessor.
`Statement` | `getFinally()` Simple accessor.
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.sw.Statement
`copy`

Methods inherited from class rdlc.sw.Field_Base
`getAccess`

Methods inherited from class rdlc.rdl.Field_Named
`getIdentifier, getRawDynamicID, getRequirements, resolve, setInstance, setNamespace, setRawDynamicID, typeMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Field
`getIdentifier, setInstance, setRawDynamicID`

Methods inherited from interface rdlc.rdl.Expression
`getRequirements, resolve, setNamespace, typeMatch`

Field Detail

### body

    protected Statement body

  The body of the try block.

### xfinally

    protected Statement xfinally

  The body of the finally block.

Constructor Detail

### Statement_Finally

    public Statement_Finally(Instance _instance,
                             Statement _body,
                             Statement _finally)

  Simple constructor, merely records its arguments.

  Parameters:
    `_instance` - The instance to add this statement to.
    `_body` - The body of the try block.
    `_finally` - The body of the finally block.

Method Detail

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Statement`
  Returns:
    A human readable representation of this statement for debugging.

### getBody

    public Statement getBody()

  Simple accessor.

  Returns:
    The body of the try block.

### getFinally

    public Statement getFinally()

  Simple accessor.

  Returns:
    The body of the finally block.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD